#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "hist_proc_internal.h"

TEST_CASE("distinct positive numbers") {
    std::vector<size_t> procent(4);
    procent = make_histogram_proc({1, 2, 3}, 3, {1, 1, 1});
    CHECK(procent[0] == 33);
    CHECK(procent[1] == 33);
    CHECK(procent[2] == 34);

    procent = make_histogram_proc({1}, 3, {1, 0, 0});
    CHECK(procent[0] == 100);
    CHECK(procent[1] == 0);
    CHECK(procent[2] == 0);
}
